Bug 430904 - [RHEL5]: xend and xendomains init scripts have wrong return values
[RHEL5]: xend and xendomains init scripts have wrong return values
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Michal Novotny
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2008-01-30 09:26 EST by Eduard Benes
Modified: 2014-02-02 17:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 06:10:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Values correction (2.47 KB, patch)
2009-03-16 09:25 EDT, Michal Novotny
no flags Details | Diff
Updated patch (1.68 KB, patch)
2009-03-16 12:08 EDT, Michal Novotny
no flags Details | Diff
Final version of patch (1.62 KB, patch)
2009-03-19 09:28 EDT, Michal Novotny
no flags Details | Diff

  None (edit)
Description Eduard Benes 2008-01-30 09:26:19 EST
Description of problem:
The init scripts  '/etc/init.d/xend' and '/etc/init.d/xendomains' return some 
incorrect error codes. Some part of it also prevent the correct status command 
call. For example:
# /etc/init.d/xend status
+ '[' '!' -d /proc/xen ']'
+ exit 0
# ll /proc/xen
ls: /proc/xen: No such file or directory

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:

For an example of the script that returns the error codes correctly and always
runs status see:
Comment 2 Michal Novotny 2009-03-16 09:25:59 EDT
Created attachment 335344 [details]
Values correction

This is values correction patch for xen init scripts, tried to match specifications at those URLs. Anyway some links on those pages should be reviewed because pages doesn't exist at all.
Comment 3 Michal Novotny 2009-03-16 12:08:56 EDT
Created attachment 335363 [details]
Updated patch

This is an updated version of my patch, mainly not to report errors when on running non-Xen kernel.
Comment 4 Michal Novotny 2009-03-19 09:28:40 EDT
Created attachment 335845 [details]
Final version of patch

Final version of patch described above...
Comment 5 Jiri Denemark 2009-03-20 09:52:00 EDT
Fix built into xen-3.0.3-83.el5
Comment 9 errata-xmlrpc 2009-09-02 06:10:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.